All Frameworks Object Hierarchy This Framework Indexes
Use the HybridShapeFactory to create a HybridShapeCorner object.
o Property BeginOfCorner( | ) As |
hybShpCorner
hybrid shape corner
hybShpCorner.BeginOfCorner = 1
o Property CornerType( | ) As |
hybShpCorner
hybrid shape corner in CornerType
.
Dim lCornerType As long lCornerType = hybShpCorner.CornerType
o Property Direction( | ) As |
hybShpCorner
hybrid shape 3D corner as
the existing direction hybShpDirection
.
hybShpCorner.Direction = hybShpDirection
o Property DiscriminationIndex( | ) As |
hybShpCorner
hybrid shape corner
hybShpCorner.DiscriminationIndex = 2
o Property FirstElem( | ) As |
hybShpCorner
hybrid shape corner in firstElt
.
Dim fisrtElt As CATIAReference fisrtElt = hybShpCorner.FirstElem
o Property FirstOrientation( | ) As |
hybShpCorner
hybrid shape corner in firstOrient
.
Dim firstOrient As long firstOrient = hybShpCorner.FirstOrientation
o Property FirstTangentOrientation( | ) As |
hybShpCorner
hybrid shape corner in firstOrient
.
Dim firstOrient As long firstOrient = hybShpCorner.FirstTangentOrientation
o Property OnVertex( | ) As |
hybShpCorner
hybrid shape corner in OnVertex
.
Dim bOnVertex As boolean bOnVertex = hybShpCorner.OnVertex
o Property Radius( | ) As (Read Only) |
hybShpCorner
hybrid shape corner in radius
.
Dim radius As CATIALength radius = hybShpCorner.Radius
o Property SecondElem( | ) As |
hybShpCorner
hybrid shape corner in secondElt
.
Dim secondElt As CATIAReference secondElt = hybShpCorner.SecondElem
o Property SecondOrientation( | ) As |
hybShpCorner
hybrid shape corner to the inverse of the cross porduct
Normal(Support) ^ Tangent(SecondElem).
hybShpCorner.SecondOrientation = -1
o Property SecondTangentOrientation( | ) As |
hybShpCorner
hybrid shape corner in secondOrient
.
Dim secondOrient As long firstOrient = hybShpCorner.SecondTangentOrientation
o Property Support( | ) As |
hybShpCorner
hybrid shape corner as
the exisiting surgace supportSurf
.
hybShpCorner.Support = supportSurf
o Property TrimMode( | ) As |
hybShpCorner
hybrid shape corner should be trimmed.
hybShpCorner.TrimMode = 1
o Property Trim( | ) As |
hybShpCorner
hybrid shape corner should be trimmed.
hybShpCorner.Trim = True
o Sub InvertFirstOrientation( | ) |
hybShpCorner
.
hybShpCorner.InvertFirstOrientation
o Sub InvertSecondOrientation( | ) |
hybShpCorner
.
hybShpCorner.InvertSecondOrientation
Copyright © 2003, Dassault Systèmes. All rights reserved.